#pragma once

#include "syscalls.h"

#define MALLOC_ADDRESS 0x22220000
#define MALLOC_SIZE  (256 * 1024)

// Ugly malloc manager that works for testing
struct malloc_manager_t {
    uint8_t* mallocs;
    uint32_t mallocCount;
    uint32_t currentSize;
};

void syscall_Malloc(cpu_t* cpu, uint32_t size, uint8_t clear_data);
void syscall_Realloc(cpu_t* cpu, uint32_t ptr, uint32_t size);
void syscall_Free(cpu_t* cpu, uint32_t ptr);