#pragma once

#include "syscalls.h"

void syscall_GetVRAMAddress(cpu_t* cpu);
void syscall_GetAppName(cpu_t* cpu, uint32_t dest_ptr);
void syscall_System_GetOSVersion(cpu_t* cpu, uint32_t version_ptr);
void syscall_GlibGetAddinLibInf(cpu_t* cpu, uint32_t a_ptr, uint32_t b_ptr, uint32_t c_ptr);
void syscall_GlibGetOSVersionInfo(cpu_t* cpu, uint32_t a_ptr, uint32_t b_ptr, uint32_t c_ptr, uint32_t d_ptr);
void syscall_RTC_GetTicks(cpu_t* cpu);
void syscall_OS_inner_Sleep(cpu_t* cpu, uint32_t ms);
void syscall_OpcodeToStr(cpu_t* cpu, uint32_t opcode, uint32_t string_ptr);