# Casio fx-9860 SH4 emulator

This is a work-in-progress emulator for the Casio fx-9860 SH4 models

Broswser demo : https://sh4.vercel.app/

All non-DSP instructions are implemented, except the following ones:
- 'MOVUAL', 'MOVUALP', 'ICBI', 'OCBI', 
- 'OCBP', 'OCBWB', 'PREFI', 'SLEEP', 
- 'SYNCO', 'SETRC', 'SETRCI',

fx9860-emulator/ contains the source for the emulator

scripts/ contains the code for auto-generating the instructions set from the doc

### Browser version
To build the browser version of the emulator, make sure you have emscripten downloaded and installed: https://emscripten.org/docs/getting_started/downloads.html

First, make sure `#define USE_EMSCRIPT` is enabled in main.h (not as a comment).
Then: 

    cd fx9860-emulator
    mkdir build
    cd build
    emcmake cmake ..
    emmake make

Then, run the following command:

    # TODO