#pragma once

#include "main.h"
#include <stdarg.h>

// Prints an error (same argument format as printf)
// And stops the execution of the program
void critical_error(const char* format, ...);

// Prints the binary representation of a number
void print_binary(uint32_t x, int n);

// Load a character set from an image
uint8_t* load_character_set(const char* path);

void cpu_debug(cpu_t* cpu);
void vram_debug(cpu_t* cpu);
char* get_next_instruction(cpu_t* cpu);